<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	template="WEB-INF/templates/taskTemplate.xhtml">
	
	    <ui:define name="metadata">
	    
	   	<f:metadata>
			<f:viewParam name="taskId"></f:viewParam>
			<f:viewParam name="form"></f:viewParam>
			<f:event listener="#{businessProcess.startTask(taskId,true)}" type="preRenderView"></f:event>
		</f:metadata>
	</ui:define>
	
	<ui:define name="form">
	<table class="cam-form">
		<tr>
			<td>Ergebnis der Kl&#228;rung: </td>
			<td>
				<h:selectOneMenu value="#{processVariables['clarified']}">
					<f:selectItem itemValue="yes" itemLabel="Erneut freizugeben"/>
					<f:selectItem itemValue="no" itemLabel="Rechnung verwerfen"/>
				</h:selectOneMenu>
			</td>
		</tr>

		<tr>
			<td>Neuer Freigebender:</td>
			<td>
				<h:selectOneMenu value="#{processVariables['approver']}">
					<f:selectItems value="#{taskListController.usersList}" var="v_user" 
					itemLabel="#{v_user.id}" itemValue="#{v_user.id}"></f:selectItems>
				</h:selectOneMenu><br/>
			</td>
		</tr>				
		<tr>
			<td>Hinweise:</td>
			<td><h:inputTextarea value="#{processVariables['comment']}" cols="30" rows="5"/></td>
		</tr>
	</table>
	</ui:define>

</ui:composition>
